Summary: GPLed free VHDL
Name: freehdl
Version: 0.0.8
Release: 12%{?dist}
License: GPLv2+ and LGPLv2+
Group: Applications/Engineering
Source0: http://ovh.dl.sourceforge.net/sourceforge/qucs/%{name}-%{version}.tar.gz
URL: http://www.freehdl.seul.org/
BuildRequires: texinfo pkgconfig libtool
Requires(post): /sbin/install-info /sbin/ldconfig
Requires(preun): /sbin/install-info
Requires: gcc-c++ libtool pkgconfig
%description
A project to develop a free, open source, GPL'ed VHDL simulator for Linux.

%prep
%setup -q

%build
%configure \
  --disable-dependancy-tracking \
  --disable-static

# HACK: Remove %%{optflags}
sed -i -e 's|%{optflags}||' freehdl.pc

make %{?_smp_mflags}

%install
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/fire.info.gz %{_infodir}/dir || :

%postun -p /sbin/ldconfig

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/fire.info.gz %{_infodir}/dir || :
fi

%files
%doc AUTHORS ChangeLog NEWS README*
%license COPYING COPYING.LIB
%{_infodir}/fire*
%{_bindir}/*
%{_datadir}/freehdl
%{_libdir}/freehdl/
%{_libdir}/libfreehdl*
%{_libdir}/pkgconfig/freehdl.pc
%{_includedir}/freehdl/
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.0.8-11
- Rebuilt for GCC 5 C++11 ABI change

* Thu Feb 26 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.0.8-10
- Remove %%{optflags} from freehdl.pc (RHBZ#1196512).
- Modernize spec.
- Remove *.las.

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.0.8-6
- Perl 5.18 rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-3
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jul 03 2011 Eric Tanguy <eric.tanguy@gmail.com> 0.0.8-1
- Update to 0.0.7

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 07 2009 Eric Tanguy <eric.tanguy@univ-nantes.fr> 0.0.7-1
- Update to 0.0.7

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jul 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.0.6-2
- fix license tag

* Sat Apr 19 2008 Eric Tanguy <eric.tanguy@univ-nantes.fr> 0.0.6-1
- Update to 0.0.6

* Fri Feb 08 2008 Eric Tanguy <eric.tanguy@univ-nantes.fr> 0.0.4-5
- Add patch to build with new gcc-4.3

* Sat May 05 2007 Eric Tanguy <eric.tanguy@univ-nantes.fr> 0.0.4-4
- Rebuild

* Thu Apr 19 2007 Eric Tanguy <eric.tanguy@univ-nantes.fr> 0.0.4-3
- Add texinfo to BuildRequires

* Sat Apr 07 2007 Eric Tanguy <eric.tanguy@univ-nantes.fr> 0.0.4-2
- Remove dir file in install

* Sat Apr 07 2007 Eric Tanguy <eric.tanguy@univ-nantes.fr> 0.0.4-1
- Update to 0.0.4
- Patch for no info dir entry in `/usr/share/info/fire.info.gz

* Fri Sep 01 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> 0.0.3-1
- Update to 0.0.3

* Mon May 29 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> 0.0.2-1
- Update to 0.0.2

* Mon Feb 13 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> 0.0.1-3
- Add Requires : gcc-c++

* Mon Feb 13 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> 0.0.1-2
- Add a patch for x86_64

* Mon Jan 23 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> 0.0.1-1
- First build
